swift-object-info(1)

NAME

swift-object-info - Openstack-swift object-info tool

SYNOPSIS

swift-object-info [OBJECT_FILE]

DESCRIPTION

This is a very simple swift tool that allows a swiftop engineer to retrieve information about an object that is located on the storage node. One calls the tool with a given object file as it is stored on the storage node system. It will then return several information about that object such as;
- Account it belongs to
- Container
- Object hash
- Location on the ring
- Content Type
- timestamp
- Etag
- Content Length
- User Metadata

DOCUMENTATION

More documentation about Openstack-Swift can be found at http://swift.openstack.org/index.html

SEE ALSO
swift-get-nodes(1),